sync flamerobin 0.9.0 from debian unstable

Bug #276802 reported by Popa Adrian Marius on 2008-10-01
6
Affects Status Importance Assigned to Milestone
flamerobin (Ubuntu)
Medium
Popa Adrian Marius

Bug Description

New version for flamerobin is relased and fixes bugs with firebird 2.1

New upstream release.
      Full Firebird 2.1 compatibility
      Tab-based property pages for database object
      Ability to load and save BLOBs directly to/from DataGrid cells
      A new, improved dialog for inserting new rows
      numerous bugfixes and minor enhancements

http://packages.debian.org/changelogs/pool/main/f/flamerobin/flamerobin_0.9.0-2/changelog

http://packages.debian.org/sid/flamerobin

Popa Adrian Marius (mapopa) wrote :

Enhancements and Bug fixes

- Firebird 2.1: Support for database triggers
- Firebird 2.1: Support for global temporary tables
- Firebird 2.1: Descriptions can be set for generators
- Firebird 2.1: Support for domains as stored procedure parameter types
- Firebird 2.1: Detect when the equals sign (=) is used instead of DEFAULT
- SQL Editor: Improved autocomplete for table columns
- SQL Editor: Smarter window title, user configurable
- SQL Editor: fixed problems with scrolling of log control
- SQL Editor: removed flicker when executing scripts with COMMITs or AUTODLL ON
- SQL Editor: fixed crashes when COMMIT closes the window
- DataGrid: Copy as Update and Insert for single cell does not require cell to be selected anymore
- DataGrid: Timestamps have display format of their own (not date+time anymore)
- DataGrid: Fixed doubling of quotes entered in edited fields.
- DataGrid: BLOB data is now transliterated to GUI character set
- Procedure nodes in tree indicate when parameter info has been loaded
- DDL extraction for GRANTs fixed
- DDL extraction for BIGINT separated from NUMERIC(18,0)
- DDL extraction for CHAR columns in system tables fixed
- Fixed random crashes when dropping object from its property page
- Implemented missing prompt for dropping of some objects
- GRANT statements moved to end of database DDL script for easier diffs

I'm unsubscribing the Sponsors' Team for now. Please re-subscribe when ready.

Popa Adrian Marius (mapopa) wrote :

please sync flamerobin from debian to jaunty

Daniel Holbach (dholbach) wrote :

As the flamerobin in Ubuntu jaunty is unmodified, it will be synced automatically.

You might want to look into this build issue (amd64 intrepid pbuilder):

x86_64-linux-gnu-g++ -o flamerobin flamerobin_addconstrainthandler.o flamerobin_Config.o flamerobin_DatabaseConfig.o flamerobin_ArtProvider.o flamerobin_FRError.o flamerobin_Observer.o flamerobin_StringUtils.o flamerobin_Subject.o flamerobin_Visitor.o flamerobin_databasehandler.o flamerobin_MetadataLoader.o flamerobin_framemanager.o flamerobin_frprec.o flamerobin_frutils.o flamerobin_AboutBox.o flamerobin_AdvancedMessageDialog.o flamerobin_AdvancedSearchFrame.o flamerobin_BackupFrame.o flamerobin_BackupRestoreBaseFrame.o flamerobin_BaseDialog.o flamerobin_BaseFrame.o flamerobin_ContextMenuMetadataItemVisitor.o flamerobin_DataGrid.o flamerobin_DataGridRowBuffer.o flamerobin_DataGridRows.o flamerobin_DataGridTable.o flamerobin_DBHTreeControl.o flamerobin_DndTextControls.o flamerobin_LogTextControl.o flamerobin_PrintableHtmlWindow.o flamerobin_TextControl.o flamerobin_CreateIndexDialog.o flamerobin_DataGeneratorFrame.o flamerobin_DatabaseRegistrationDialog.o flamerobin_EventWatcherFrame.o flamerobin_ExecuteSqlFrame.o flamerobin_ExecuteSql.o flamerobin_FieldPropertiesDialog.o flamerobin_FindDialog.o flamerobin_InsertDialog.o flamerobin_MainFrame.o flamerobin_MetadataItemPropertiesFrame.o flamerobin_MultilineEnterDialog.o flamerobin_PreferencesDialog.o flamerobin_PreferencesDialogSettings.o flamerobin_PrivilegesDialog.o flamerobin_ProgressDialog.o flamerobin_ReorderFieldsDialog.o flamerobin_RestoreFrame.o flamerobin_ServerRegistrationDialog.o flamerobin_SimpleHtmlFrame.o flamerobin_StatementHistoryDialog.o flamerobin_StyleGuide.o flamerobin_TriggerWizardDialog.o flamerobin_UserDialog.o flamerobin_UsernamePasswordDialog.o flamerobin_images.o flamerobin_logger.o flamerobin_main.o flamerobin_MasterPassword.o flamerobin_column.o flamerobin_constraints.o flamerobin_CreateDDLVisitor.o flamerobin_database.o flamerobin_domain.o flamerobin_exception.o flamerobin_function.o flamerobin_generator.o flamerobin_Index.o flamerobin_metadataitem.o flamerobin_MetadataItemVisitor.o flamerobin_parameter.o flamerobin_privilege.o flamerobin_procedure.o flamerobin_relation.o flamerobin_role.o flamerobin_root.o flamerobin_server.o flamerobin_table.o flamerobin_trigger.o flamerobin_User.o flamerobin_view.o flamerobin_objectdescriptionhandler.o flamerobin_Identifier.o flamerobin_IncompleteStatement.o flamerobin_MultiStatement.o flamerobin_SelectStatement.o flamerobin_SqlStatement.o flamerobin_SqlTokenizer.o flamerobin_statementHistory.o flamerobin_urihandler.o flamerobin_StyleGuideGTK.o -L. -Wl,-z,defs,--as-needed -pthread -Wl,-Bsymbolic-functions -lwx_gtk2u_stc-2.8 -lwx_gtk2u_richtext-2.8 -lwx_gtk2u_aui-2.8 -lwx_gtk2u_xrc-2.8 -lwx_gtk2u_qa-2.8 -lwx_gtk2u_html-2.8 -lwx_gtk2u_adv-2.8 -lwx_gtk2u_core-2.8 -lwx_baseu_xml-2.8 -lwx_baseu_net-2.8 -lwx_baseu-2.8 -libpp -lfbclient
/usr/bin/ld: cannot find -lfbclient
collect2: ld returned 1 exit status
make[1]: *** [flamerobin] Error 1
make[1]: Leaving directory `/tmp/buildd/flamerobin-0.9.0'
make: *** [build-stamp] Error 2

Changed in flamerobin:
status: New → Confirmed
Popa Adrian Marius (mapopa) wrote :

seembs tha libfbclient is missing or is not installed

I will check on my system

Popa Adrian Marius (mapopa) wrote :

I have upgraded an system to jaunty , seems is better to

1. sync firebird2.1 and firebird 2.0 packages from debian (that issue is solved from what i remember, i will check the archives)
2. require firebird2.1-dev (firebird 2.1 is latest stable suported in this version on flamerobin )

and now i run the debuild and indeed i have that errror

/usr/bin/ld: cannot find -lfbclient
collect2: ld returned 1 exit status
make[1]: *** [flamerobin] Error 1
make[1]: Leaving directory `/home/ubuntu/flamerobin-0.9.0'
make: *** [build-stamp] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
debuild: fatal error at line 1329:
 ls -lah /usr/lib/libfbclient.so
lrwxrwxrwx 1 root root 20 2008-11-12 13:06 /usr/lib/libfbclient.so -> libfbclient.so.2.0.4

ls -lah /usr/lib/libfbclient.so.2.1.0

here is the list of packages installed for building

 sudo apt-get install firebird2.0-dev libwxgtk2.8-dev
  firebird2.0-common firebird2.0-server-common firebird2.1-common libfbclient2 libfbembed2 libwxbase2.8-dev wx2.8-headers
Suggested packages:
  firebird2.0-examples wx2.8-doc wx-common libgl-dev xlibmesa-glu-dev libglu-dev
The following NEW packages will be installed:
  firebird2.0-common firebird2.0-dev firebird2.0-server-common firebird2.1-common libfbclient2 libfbembed2 libwxbase2.8-dev
  libwxgtk2.8-dev wx2.8-headers
0 upgraded, 9 newly installed, 0 to remove and 2 not upgraded.
Need to get 6195kB of archives.
After this operation, 17.5MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://us.archive.ubuntu.com jaunty/universe firebird2.0-common 2.0.4.13130-1.ds1-2 [784kB]
Get:2 http://us.archive.ubuntu.com jaunty/universe firebird2.1-common 2.1.0.17798-0.ds2-1 [936kB]
Get:3 http://us.archive.ubuntu.com jaunty/universe libfbclient2 2.1.0.17798-0.ds2-1 [749kB]
Get:4 http://us.archive.ubuntu.com jaunty/universe firebird2.0-server-common 2.0.4.13130-1.ds1-2 [511kB]
Get:5 http://us.archive.ubuntu.com jaunty/universe libfbembed2 2.0.4.13130-1.ds1-2 [1477kB]
Get:6 http://us.archive.ubuntu.com jaunty/universe firebird2.0-dev 2.0.4.13130-1.ds1-2 [443kB]
Get:7 http://us.archive.ubuntu.com jaunty/universe wx2.8-headers 2.8.9.1-0ubuntu1 [1095kB]
Get:8 http://us.archive.ubuntu.com jaunty/universe libwxbase2.8-dev 2.8.9.1-0ubuntu1 [101kB]
Get:9 http://us.archive.ubuntu.com jaunty/universe libwxgtk2.8-dev 2.8.9.1-0ubuntu1 [101kB]

Popa Adrian Marius (mapopa) wrote :

tested on my experimental box and ideed an firebird2.1 and firebird2.0 sync is needed
debuild -i for flamerobin 0.9 went without issues

here are the details how is packaged

dpkg -l firebird2.0-dev
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-=========================-=========================-==================================================================
ii firebird2.0-dev 2.0.4.13130-1.ds1-4 Development files for Firebird - an RDBMS based on InterBase 6.0
 dpkg -L firebird2.0-dev
/.
/usr
/usr/lib
/usr/include
/usr/include/perf.h
/usr/include/ibase.h
/usr/include/blr.h
/usr/include/iberror.h
/usr/include/ib_util.h
/usr/share
/usr/share/doc
/usr/share/doc/firebird2.0-dev
/usr/share/doc/firebird2.0-dev/changelog.gz
/usr/share/doc/firebird2.0-dev/NEWS.Debian.gz
/usr/share/doc/firebird2.0-dev/copyright
/usr/share/doc/firebird2.0-dev/changelog.Debian.gz
/usr/lib/libfbclient.so
/usr/lib/libfbembed.so

 ls -lah /usr/lib/libfbclient.so
lrwxrwxrwx 1 root root 16 2008-11-12 13:27 /usr/lib/libfbclient.so -> libfbclient.so.2
ls -lah /usr/lib/libfbclient.so.2
lrwxrwxrwx 1 root root 20 2008-05-28 17:12 /usr/lib/libfbclient.so.2 -> libfbclient.so.2.1.0

Popa Adrian Marius (mapopa) wrote :

you can check the flamerobi 0.9 package from my ppa

the only change from debian : added firebird2.1-dev

https://edge.launchpad.net/~mapopa/+archive/+index?field.name_filter=flamerobin&field.status_filter=published

James Westby (james-w) wrote :

Hi,

Does this require something to be changed in the flamerobin package?

If so could you provide a diff for review please?

Thanks,

James

Popa Adrian Marius (mapopa) wrote :

I will send an debdiff vs the debian package

the only significant change between my ppa and debian is adding firebird2.1-dev instead of firebird2.0-dev

Build-Depends: debhelper (>= 5), firebird2.1-dev, libwxgtk2.8-dev

also seems that new package firebird2.1.1 was synced from debian
maybe it should work now without changes

Luca Falavigna (dktrkranz) wrote :

Mind preparing and attaching a debdiff for this FTBFS? I'm unsubscribing u-u-s for now, please resubscribe once ready for sponsoring, thanks in advance!

Changed in flamerobin:
assignee: nobody → mapopa
importance: Undecided → Medium
status: Confirmed → In Progress
Popa Adrian Marius (mapopa) wrote :

I have atached the diff for building it sucessfully

Daniel Holbach (dholbach) wrote :

A few things about your patch:
 - why do you set yourself as the Maintainer? Just use "Ubuntu MOTU Developers <email address hidden>
 - it's XSBC-Original-Maintainer instead of XB-Original-Maintainer
 - why do you add quilt as a Build-Depends?
 - can you add (LP: #278802) to debian/changelog?
 - can you update it to Jaunty?
 - can you make the changelog entry more explicit? "debian/control: replace firebird2.0-dev with firebird2.1-dev" would be much better already
 - 0.9.0-2ubuntu1 would be the right version number, don't you think?

Popa Adrian Marius (mapopa) wrote :

1 . I copy pasted from the ppa repository
2 . I forgot a few chars
3. I copy pasted from firebird2.1-dev - but is not needed (it is needed only in firebird package for applying for patches)
4. Done
5. Done
6. Done . I was testing and incremented each time (to be possible to upload to ppa)

Daniel Holbach (dholbach) wrote :

I removed the portion about src/frsvnrev.h from the patch.

Popa Adrian Marius (mapopa) wrote :
Changed in flamerobin:
status: In Progress → Fix Released
Popa Adrian Marius (mapopa) wrote :

minor spell error - in the changelog should be closes (LP: #276802)

Thank you all for patience

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers